Bug 247433 - www/node12: fix runtime on powerpc64 elfv1, build / runtime on powerpc64 elfv2
Summary: www/node12: fix runtime on powerpc64 elfv1, build / runtime on powerpc64 elfv2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: powerpc Any
: --- Affects Only Me
Assignee: Bradley T. Hughes
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-06-19 22:42 UTC by Piotr Kubaj
Modified: 2020-09-18 04:44 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (bhughes)


Attachments
patch (6.40 KB, patch)
2020-06-19 22:42 UTC, Piotr Kubaj
pkubaj: maintainer-approval? (bhughes)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2020-06-19 22:42:01 UTC
Created attachment 215802 [details]
patch

Patches are backported from www/node and changed where necessary.
Comment 1 Automation User 2020-07-04 00:46:29 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/163013192
Comment 2 commit-hook freebsd_committer 2020-07-04 12:48:06 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Jul  4 12:47:48 UTC 2020
New revision: 541210
URL: https://svnweb.freebsd.org/changeset/ports/541210

Log:
  www/node12: fix runtime on powerpc64 elfv1, build / runtime on powerpc64 elfv2

  Patches are backported from www/node and changed where necessary.

  PR:             247433
  Approved by:    bhughes (maintainer timeout)
  MFH:            2020Q3 (fix build / runtime blanket)

Changes:
  head/www/node12/Makefile
  head/www/node12/files/extra-patch-common.gypi
  head/www/node12/files/patch-deps_v8_src_codegen_ppc_constants-ppc.h
  head/www/node12/files/patch-deps_v8_src_compiler_backend_instruction-selector.cc
  head/www/node12/files/patch-deps_v8_src_compiler_backend_ppc_code-generator-ppc.cc
  head/www/node12/files/patch-deps_v8_src_execution_simulator.h
Comment 3 commit-hook freebsd_committer 2020-07-04 12:49:08 UTC
A commit references this bug:

Author: pkubaj
Date: Sat Jul  4 12:48:41 UTC 2020
New revision: 541211
URL: https://svnweb.freebsd.org/changeset/ports/541211

Log:
  MFH: r541210

  www/node12: fix runtime on powerpc64 elfv1, build / runtime on powerpc64 elfv2

  Patches are backported from www/node and changed where necessary.

  PR:             247433
  Approved by:    bhughes (maintainer timeout)

  Approved by:	portmgr (fix build / runtime blanket)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/www/node12/Makefile
  branches/2020Q3/www/node12/files/extra-patch-common.gypi
  branches/2020Q3/www/node12/files/patch-deps_v8_src_codegen_ppc_constants-ppc.h
  branches/2020Q3/www/node12/files/patch-deps_v8_src_compiler_backend_instruction-selector.cc
  branches/2020Q3/www/node12/files/patch-deps_v8_src_compiler_backend_ppc_code-generator-ppc.cc
  branches/2020Q3/www/node12/files/patch-deps_v8_src_execution_simulator.h
Comment 4 commit-hook freebsd_committer 2020-09-18 04:44:53 UTC
A commit references this bug:

Author: bhughes
Date: Fri Sep 18 04:43:57 UTC 2020
New revision: 548875
URL: https://svnweb.freebsd.org/changeset/ports/548875

Log:
  MFH: r541210 r543679 r548801

  www/node12: fix runtime on powerpc64 elfv1, build / runtime on powerpc64 elfv2

  Patches are backported from www/node and changed where necessary.

  PR:             247433
  Approved by:    bhughes (maintainer timeout)

  www/node12: Update 12.18.2_1 -> 12.18.3

  https://nodejs.org/en/blog/release/v12.18.3/

  Sponsored by:	Miles AS

  www/node12: Update 12.18.3 -> 12.18.4

  https://nodejs.org/en/blog/release/v12.18.4/

  This is a security release. See
  https://nodejs.org/en/blog/vulnerability/september-2020-security-releases/

  Security:	4ca5894c-f7f1-11ea-8ff8-0022489ad614
  Sponsored by:	Miles AS

  Approved by:	ports-secteam (fluffy)

Changes:
_U  branches/2020Q3/
  branches/2020Q3/www/node12/Makefile
  branches/2020Q3/www/node12/distinfo
  branches/2020Q3/www/node12/files/patch-deps_v8_src_compiler_backend_instruction-selector.cc